Skip to main content
POST
Create Locations

Path Parameters

workspaceId
string
required

Body

application/json
name
string
required
Required string length: 1 - 200
address
string | null
Required string length: 1 - 2000
apartment
string | null
Required string length: 1 - 255
city
string | null
Required string length: 1 - 255
state
string | null
Required string length: 1 - 255
zipCode
string | null
Required string length: 1 - 32
country
string | null
Required string length: 1 - 100
countryCode
string | null
Pattern: ^[A-Z]{2}$
subdivisionCode
string | null
Pattern: ^[A-Z]{2}-[A-Z0-9]{1,3}$
placeId
string | null
Pattern: ^[A-Za-z0-9_-]{1,300}$
region
string | null
Pattern: ^[a-z][a-z0-9_]{0,63}$

Response

201 - application/json
id
string
required
name
string
required
address
string | null
required
apartment
string | null
required
city
string | null
required
state
string | null
required
zipCode
string | null
required
country
string | null
required
countryCode
string | null
required
subdivisionCode
string | null
required
placeId
string | null
required
region
string | null
required